﻿@model EM.Presentation.Areas.Tenant.Models.Evenementmodel

@{
    ViewBag.Title = "Create";
    Layout = "~/Areas/Tenant/Views/Shared/_Tenant.cshtml";
}

@section page {
    Create
}

@section active_event {
    active
}
<div class="row">
    <div class="col-md-8">
        <div class="card">
            <div class="card-header card-header-primary">
                <h4 class="card-title">Events</h4>
                <p class="card-category">Create your event</p>
            </div>
            <div class="card-body">
                @using (Html.BeginForm("Create", "Evenement", FormMethod.Post, new { enctype = "multipart/form-data" }))
                {
                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">                 
                                <label class="bmd-label-floating">Name</label>
                                @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
                                <span style="color:red">@ViewBag.MessageErreur</span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div>
                                <label class="bmd-label-floating">Picture</label>
                                @Html.TextBox("Image", null, new { @class = "btn", type = "file" })
                                @Html.ValidationMessageFor(model => model.Picture, "", new { @class = "text-danger" })
                                <span style="color:red">@ViewBag.MessageErreur</span>                           
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="bmd-label-floating">Theme</label>
                                @Html.EditorFor(model => model.Theme, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.Theme, "", new { @class = "text-danger" })
                                <span style="color:red">@ViewBag.MessageErreur</span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="bmd-label-floating">Location</label>
                                @Html.EditorFor(model => model.Location, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.Location, "", new { @class = "text-danger" })
                                <span style="color:red">@ViewBag.MessageErreur</span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="bmd-label-floating">Start Date</label>
                                @Html.EditorFor(model => model.StartDate, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.StartDate, "", new { @class = "text-danger" })
                                <span style="color:red">@ViewBag.MessageErreur</span>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6">
                            <div class="form-group">
                                <label class="bmd-label-floating">End Date</label>
                                @Html.EditorFor(model => model.EndDate, new { htmlAttributes = new { @class = "form-control" } })
                                @Html.ValidationMessageFor(model => model.EndDate, "", new { @class = "text-danger" })
                                <span style="color:red">@ViewBag.MessageErreur</span>
                            </div>
                        </div>
                    </div>
                    <div class="row pull-right">
                        <button type="submit" class="btn btn-primary pull-right">Create Event</button>
                        <div class="clearfix"></div>
                    </div>
                }
            </div>
        </div>
    </div>
</div>



<div>
    @Html.ActionLink("Back to List", "Index")
</div>


<h2>Statistic</h2>



<div id="chartc">
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script src="https://code.highcharts.com/highcharts.js"></script>
<script src="https://code.highcharts.com/modules/exporting.js"></script>
<script src="https://code.highcharts.com/modules/export-data.js"></script>



<script type="text/javascript">

    var data;


    $.ajax({
        type: "POST",
        url: "http://localhost:2895/Evenement/GetStat",
        dataType: 'json',
        success: function (Data) {

            var tb = [];
            //ds = JSON.parse(Data);
            $.each(Data, function (index, key) {
                console.log(key.Key);
                t = [key.Key, key.Count];
                tb.push(t);
            });
            console.log(tb);

            Highcharts.chart('chartc', {
                chart: {
                    plotBackgroundColor: null,
                    plotBorderWidth: null,
                    plotShadow: false,
                    type: 'pie'
                },
                title: {
                    text: 'Event Statistic'
                },
                tooltip: {
                    pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>'
                },
                plotOptions: {
                    pie: {
                        allowPointSelect: true,
                        cursor: 'pointer',
                        dataLabels: {
                            enabled: true,
                            format: '<b>{point.name}</b>: {point.percentage:.1f} %',
                            style: {
                                color: (Highcharts.theme && Highcharts.theme.contrastTextColor) || 'black'
                            }
                        }
                    }
                },
                series: [{
                    name: 'Brands',
                    colorByPoint: true,
                    data:tb
                }]
            })




        }
                                                   ,
        error: function (error) {
            console.log(error);
        }
    });

</script>